body {
  font-family: Arial, sans-serif;
  padding: 0;
  margin: 0;
  background: var(--tg-theme-bg-color, #fff);
  color: var(--tg-theme-text-color, #000);

  height: 100%;
  overflow: hidden;
}

.title {
  font-weight: bold;
  margin-bottom: 6px;
}

button {
  width: 100%;
  padding: 12px;
  border: none;
  border-radius: 10px;
  background: var(--tg-theme-button-color, #2481cc);
  color: var(--tg-theme-button-text-color, white);
  font-size: 16px;
}

.page {
  box-sizing: border-box;

  height: 100vh;
  width: 100%;
  overflow-y: auto;
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch;
}

.pageContent {
  padding: 16px;
}

#listPage {
  display: block;
}

#advertPage {
  display: none;
}

#list {
  display: grid;
  gap: 12px;
  grid-template-columns: 1fr;
}

@media (min-width: 700px) {
  #list {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 1000px) {
  #list {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media (min-width: 1400px) {
  #list {
    grid-template-columns: repeat(4, 1fr);
  }
}

.card {
  padding: 12px;
  border-radius: 12px;
  background: var(--tg-theme-secondary-bg-color, #f2f2f2);
  box-sizing: border-box;
  cursor: pointer;
  overflow: hidden;
}

.cardPhoto {
  width: 100%;
  height: 220px;
  background: #e5e5e5;
  border-radius: 10px;
  overflow: hidden;
  margin-bottom: 10px;
}

.card.portrait-card .cardPhoto {
  height: 420px;
}

.cardPhoto img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* если хочешь без обрезки вертикальных фото */
.card.portrait-card .cardPhoto img {
  object-fit: cover;
}

.cardContent {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.price {
  font-size: 24px;
  font-weight: bold;
}

.additionalInfo {
  font-size: 15px;
  color: #666;
}

.description {
  font-size: 15px;
  line-height: 1.35;

  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;

  overflow: hidden;
}


.createdAt {
  font-size: 13px;
  color: var(--tg-theme-hint-color, #999);
  white-space: nowrap;
  flex-shrink: 0;
}